Subject: [Vim-vms] consol input fix

From: "Zoltan Arpadffy" <[email-masked]>
Date: Mon, 27 Feb 2006 23:42:19 +0100

Hi,
 
I have made a fix to vms_read() function in order to improve low level char
input performance.
I got really irritated, that it was reacting on esc button so slow and cut
and paste between fast terminals was extremely slow.
 
The reason was that vms_read function was triggered by every char and it
queued a new io read for just a singe char again. It could not handle larger
input buffer blocks.
 
I made an attempt to solve it and newly released executables contain this
patch - however it is included just into 7.0 branch.
 
As I tested - vim now uses about 4 times less buffered IO than LSE and it
has 2-3 times better performance in accepting chars from the huge and fast
"keyboard device" like clipboard.
Faster reacts on esc and does not mix up the escape sequences - which
occasionally vim could do earlier.
 
Please note: this is all valid just for console mode editing. GUI/Motif and
GTK is not affected at all. They work as they did earlier: perfectly.
 
I would encourage consol users (like me) to use these new executables in
order to get tested in different environment.
 
You can find executables at http://www.polarhome.com/vim/ or
ftp://ftp.polarhome.com/pub/vim/
Bugs please report directly to me.
 
Thank you in advance.
 
Regards, 
Z